summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-text/aiksaurus/Manifest1
-rw-r--r--app-text/aiksaurus/aiksaurus-1.2.1-r2.ebuild (renamed from app-text/aiksaurus/aiksaurus-1.2.1-r1.ebuild)19
2 files changed, 11 insertions, 9 deletions
diff --git a/app-text/aiksaurus/Manifest b/app-text/aiksaurus/Manifest
index e32cf7397c7..2620c5f6235 100644
--- a/app-text/aiksaurus/Manifest
+++ b/app-text/aiksaurus/Manifest
@@ -1 +1,2 @@
+DIST aiksaurus-1.2.1-patches.txz 7196 BLAKE2B c6013301b924a9e6b4fde790bb56848c575f6a8c2a9934a263d3fdfe4a639082c9c1fdaeb0703854d8aba15479c2431738ffb9ef0b750118fd03d0e05a7c6bd3 SHA512 f3db9afbbff5c54d5203db1f09af219c6a6c217018745827b3bc523e156e7d24b197706486f5a88f5829548df88af471d3a7eabdefe7466297dccf786c840520
DIST aiksaurus-1.2.1.tar.gz 928893 BLAKE2B 12bcc77eccd921e4e2dd3f148be76905bb162a38483b0aee620be2fe069685a4289df4ec12f91286eb88d9c2f1f4d58556b0b6ac38857fe4f11bb5d31adff496 SHA512 48591850f28f1a8f4b4986df14090ef7bd57cbfbad739cb0013db021f6f5bcb3c592b38e36774735499e27b9e99330504f8d9c6022158e25469cbc81d13f7463
diff --git a/app-text/aiksaurus/aiksaurus-1.2.1-r1.ebuild b/app-text/aiksaurus/aiksaurus-1.2.1-r2.ebuild
index 3bc1986d9ba..0062ee0b9a9 100644
--- a/app-text/aiksaurus/aiksaurus-1.2.1-r1.ebuild
+++ b/app-text/aiksaurus/aiksaurus-1.2.1-r2.ebuild
@@ -2,11 +2,14 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
inherit flag-o-matic libtool
DESCRIPTION="A thesaurus lib, tool and database"
HOMEPAGE="https://sourceforge.net/projects/aiksaurus"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+SRC_URI="
+ mirror://sourceforge/${PN}/${P}.tar.gz
+ https://dev.gentoo.org/~soap/distfiles/${P}-patches.txz"
LICENSE="GPL-2"
SLOT="0"
@@ -14,13 +17,13 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~a
IUSE="gtk"
RDEPEND="gtk? ( x11-libs/gtk+:2 )"
-DEPEND="${RDEPEND}
- gtk? ( virtual/pkgconfig )
-"
+DEPEND="${RDEPEND}"
+BDEPEND="gtk? ( virtual/pkgconfig )"
PATCHES=(
- "${FILESDIR}/${P}-gcc43.patch"
- "${FILESDIR}/${P}-format-security.patch"
+ "${WORKDIR}"/patches/${P}-gcc43.patch
+ "${WORKDIR}"/patches/${P}-format-security.patch
+ "${WORKDIR}"/patches/${P}-c++17.patch
)
src_prepare() {
@@ -32,12 +35,10 @@ src_prepare() {
src_configure() {
filter-flags -fno-exceptions
- # bug 787899
- append-cxxflags -std=gnu++14
econf $(use_with gtk)
}
src_install() {
default
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}